Package logsparser :: Package extras :: Module domain_parser

[frames] | no frames]

# Module domain_parser

source code

Here we define a function that can parse FQDNs that are IANA compliant.

Functions

get_domain(fqdn) | source code

Variables
| tld = ``set([``'``!bl.uk``'``,` `'``!british-library.uk``'``,` `'``!city.chiba.jp``'``,` `...``
| __package__ = `None`

Variables Details

### tld

Value:

      set(['!bl.uk',
           '!british-library.uk',
           '!city.chiba.jp',
           '!city.fukuoka.jp',
           '!city.hiroshima.jp',
           '!city.kawasaki.jp',
           '!city.kitakyushu.jp',
           '!city.kobe.jp',
      ...